package com.gic.haoban.manage.service.dao.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.gic.haoban.manage.service.entity.TabHaobanTemplateEnterpriseRelation;

public interface TabHaobanTemplateEnterpriseRelationMapper {

    int insert(TabHaobanTemplateEnterpriseRelation record);

    TabHaobanTemplateEnterpriseRelation selectByPrimaryKey(String templateEnterpriseRelationId);

    int updateByPrimaryKeySelective(TabHaobanTemplateEnterpriseRelation record);

    int updateByPrimaryKey(TabHaobanTemplateEnterpriseRelation record);

	List<TabHaobanTemplateEnterpriseRelation> listEnterpriseByTemplateId(@Param("templateId")String templateId);

	TabHaobanTemplateEnterpriseRelation selectByWxEnterpriseId(@Param("wxEnterpriseId")String wxEnterpriseId);

	List<TabHaobanTemplateEnterpriseRelation> listEnterpriseByParams(@Param("applicationTemplateId")String applicationTemplateId, @Param("wxEnterpriseIds")List<String> wxEnterpriseIds,
			@Param("wxEnterpriseName")String wxEnterpriseName);

}